"use strict";
const EXPORTED_SYMBOLS = [];
const {
    classes: Cc,
    interfaces: Ci,
    utils: Cu,
    results: Cr
} = Components;
Cu.import("resource://gre/modules/XPCOMUtils.jsm");
Cu.import("resource://gre/modules/Services.jsm");
const SCRIPT_LOADER = Cc["@mozilla.org/moz/jssubscript-loader;1"].getService(Ci.mozIJSSubScriptLoader);
let foundationDir = Services.io.newURI(__URI__, null, null).resolve("./foundation/");
[
    "database.js",
    "ecustom.js",
    "patterns.js",
    "fileutils.js",
    "netutils.js",
    "strutils.js",
    "sysutils.js",
    "xmlutils.js"
].forEach(function (moduleFileName) {
    try {
        SCRIPT_LOADER.loadSubScript(foundationDir + moduleFileName);
    } catch (e) {
        Cu.reportError(e);
        throw e;
    }
});